﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Windows.DataPresenter;

namespace CellTemplcateBasedOnValue
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            DataContext = new List<Data>
            {
                new Data { },
                new Data { StyleSelector = "text", Trigger = "some" },
                new Data { },
                new Data { StyleSelector = "text", Trigger = "some" },
            };
        }
    }

    public class CellStyleSelector : StyleSelector
    {
        public override Style SelectStyle(object item, DependencyObject container)
        {
            CellValuePresenter presenter = container as CellValuePresenter;
            string value = item as string;

            if (string.IsNullOrEmpty(value))
            {
                return presenter.TryFindResource("cellButtonStyle") as Style;
            }
            return base.SelectStyle(item, container);
        }
    }

    public class ShouldShowButtonConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            string str = value as string;
            if (string.IsNullOrEmpty(str))
            {
                return true;
            }
            return false;
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }


    public class Data
    {
        public string StyleSelector { get; set; }
        public string Trigger { get; set; }
    }
}
